PortAudio 2.0

Macros | Typedefs | Functions
pa_fuzz.c File Reference
Example programs demonstrating PortAudio usage

Distort input like a fuzz box. More...

`#include <stdio.h>`
`#include <math.h>`
`#include "portaudio.h"`

Go to the source code of this file.

## Macros
#define | SAMPLE_RATE (44100)
#define | PA_SAMPLE_TYPE paFloat32
#define | FRAMES_PER_BUFFER (64)
#define | FUZZ(x) CubicAmplifier(CubicAmplifier(CubicAmplifier(CubicAmplifier(x))))

## Typedefs
typedef float | SAMPLE

## Functions
float | CubicAmplifier (float input)
int | main (void)

## Detailed Description

Distort input like a fuzz box.

Author
  Phil Burk http://www.softsynth.com

Definition in file pa_fuzz.c.

## Macro Definition Documentation

## ◆ FRAMES_PER_BUFFER

#define FRAMES_PER_BUFFER (64)

Definition at line 54 of file pa_fuzz.c.

## ◆ FUZZ

#define FUZZ | ( |  | x | ) | CubicAmplifier(CubicAmplifier(CubicAmplifier(CubicAmplifier(x))))

Definition at line 82 of file pa_fuzz.c.

## ◆ PA_SAMPLE_TYPE

#define PA_SAMPLE_TYPE paFloat32

Definition at line 53 of file pa_fuzz.c.

## ◆ SAMPLE_RATE

#define SAMPLE_RATE (44100)

Definition at line 52 of file pa_fuzz.c.

## Typedef Documentation

## ◆ SAMPLE

typedef float SAMPLE

Definition at line 56 of file pa_fuzz.c.

## Function Documentation

## ◆ CubicAmplifier()

float CubicAmplifier | ( | float | input | ) |

Definition at line 66 of file pa_fuzz.c.

## ◆ main()

int main | ( | void |  | ) |

Definition at line 125 of file pa_fuzz.c.